=== modified file 'libdrizzle/constants.h'
--- libdrizzle/constants.h	2011-02-23 17:21:37 +0000
+++ libdrizzle/constants.h	2011-03-06 17:13:04 +0000
@@ -158,19 +158,20 @@
  */
 typedef enum
 {
-  DRIZZLE_CON_NONE=           0,
-  DRIZZLE_CON_ALLOCATED=      (1 << 0),
-  DRIZZLE_CON_MYSQL=          (1 << 1),
-  DRIZZLE_CON_RAW_PACKET=     (1 << 2),
-  DRIZZLE_CON_RAW_SCRAMBLE=   (1 << 3),
-  DRIZZLE_CON_READY=          (1 << 4),
-  DRIZZLE_CON_NO_RESULT_READ= (1 << 5),
-  DRIZZLE_CON_IO_READY=       (1 << 6),
-  DRIZZLE_CON_LISTEN=         (1 << 7),
-  DRIZZLE_CON_EXPERIMENTAL=   (1 << 8),
-  DRIZZLE_CON_FOUND_ROWS=     (1 << 9),
-  DRIZZLE_CON_ADMIN=          (1 << 10),
-  DRIZZLE_CON_INTERACTIVE=    (1 << 11)
+  DRIZZLE_CON_NONE=             0,
+  DRIZZLE_CON_ALLOCATED=        (1 << 0),
+  DRIZZLE_CON_MYSQL=            (1 << 1),
+  DRIZZLE_CON_RAW_PACKET=       (1 << 2),
+  DRIZZLE_CON_RAW_SCRAMBLE=     (1 << 3),
+  DRIZZLE_CON_READY=            (1 << 4),
+  DRIZZLE_CON_NO_RESULT_READ=   (1 << 5),
+  DRIZZLE_CON_IO_READY=         (1 << 6),
+  DRIZZLE_CON_LISTEN=           (1 << 7),
+  DRIZZLE_CON_EXPERIMENTAL=     (1 << 8),
+  DRIZZLE_CON_FOUND_ROWS=       (1 << 9),
+  DRIZZLE_CON_ADMIN=            (1 << 10),
+  DRIZZLE_CON_INTERACTIVE=      (1 << 11),
+  DRIZZLE_CON_MULTI_STATEMENTS= (1 << 12)
 } drizzle_con_options_t;
 
 /**

=== modified file 'libdrizzle/handshake.c'
--- libdrizzle/handshake.c	2011-02-23 17:21:37 +0000
+++ libdrizzle/handshake.c	2011-03-06 17:13:04 +0000
@@ -515,6 +515,11 @@
     capabilities|= DRIZZLE_CAPABILITIES_INTERACTIVE;
   }
 
+  if (con->options & DRIZZLE_CON_MULTI_STATEMENTS)
+  {
+    capabilities|= DRIZZLE_CAPABILITIES_MULTI_STATEMENTS;
+  }
+
   capabilities&= ~(DRIZZLE_CAPABILITIES_COMPRESS | DRIZZLE_CAPABILITIES_SSL);
   if (con->db[0] == 0)
     capabilities&= ~DRIZZLE_CAPABILITIES_CONNECT_WITH_DB;

